jdbm.helper

## Class CacheEvictionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - jdbm.helper.CacheEvictionException

All Implemented Interfaces:
  Serializable

    public class CacheEvictionException
    extends Exception

Exception that occurs during eviction of an object in the cache.

Author:
  Alex Boisvert
See Also:
  Serialized Form

### Field Summary

Fields
`protected Exception` `_nested` Nested exception -- the original exception that occured, if any.

### Constructor Summary

Constructors
Constructor and Description
`CacheEvictionException(Exception nested)`

### Method Summary

Methods
`Exception` `getNestedException()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### _nested

    protected Exception _nested

Nested exception -- the original exception that occured, if any.

### Constructor Detail

#### CacheEvictionException

    public CacheEvictionException(Exception nested)

### Method Detail

#### getNestedException

    public Exception getNestedException()